Package org.silverpeas.components.scheduleevent.view

## Class ScheduleEventVO

- java.lang.Object
- - org.silverpeas.components.scheduleevent.view.ScheduleEventVO

- All Implemented Interfaces:
    `ScheduleEventBean`

      public class ScheduleEventVO
      extends Object
      implements ScheduleEventBean

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `AFTERNOON_HOUR` |
    `static int` | `MORNING_HOUR` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScheduleEventVO​(ScheduleEventBean current)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `deleteDate​(String dateIndexFormat)` |
    `int` | `getAuthor()` |
    `Set<Contributor>` | `getContributors()` |
    `Date` | `getCreationDate()` |
    `Set<DateOption>` | `getDates()` |
    `String` | `getDescription()` |
    `String` | `getId()` |
    `Set<OptionDateVO>` | `getOptionalDateIndexes()` |
    `Set<Response>` | `getResponses()` |
    `int` | `getStatus()` |
    `Integer` | `getSubscribersCount()` |
    `String` | `getTitle()` |
    `void` | `setAuthor​(int author)` |
    `void` | `setCreationDate​(Date creationDate)` |
    `void` | `setDescription​(String description)` |
    `void` | `setId​(String id)` |
    `void` | `setScheduleEventWith​(Set<OptionDateVO> optionalDates)` |
    `void` | `setStatus​(int status)` |
    `void` | `setTitle​(String title)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MORNING_HOUR

          public static final int MORNING_HOUR

      See Also:
        Constant Field Values

    - #### AFTERNOON_HOUR

          public static final int AFTERNOON_HOUR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ScheduleEventVO

          public ScheduleEventVO​(ScheduleEventBean current)

  - ### Method Detail

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ScheduleEventBean`

    - #### setId

          public void setId​(String id)

      Specified by:
        `setId` in interface `ScheduleEventBean`

    - #### getTitle

          public String getTitle()

      Specified by:
        `getTitle` in interface `ScheduleEventBean`

    - #### setTitle

          public void setTitle​(String title)

      Specified by:
        `setTitle` in interface `ScheduleEventBean`

    - #### getDescription

          public String getDescription()

      Specified by:
        `getDescription` in interface `ScheduleEventBean`

    - #### setDescription

          public void setDescription​(String description)

      Specified by:
        `setDescription` in interface `ScheduleEventBean`

    - #### getCreationDate

          public Date getCreationDate()

      Specified by:
        `getCreationDate` in interface `ScheduleEventBean`

    - #### setCreationDate

          public void setCreationDate​(Date creationDate)

      Specified by:
        `setCreationDate` in interface `ScheduleEventBean`

    - #### getAuthor

          public int getAuthor()

      Specified by:
        `getAuthor` in interface `ScheduleEventBean`

    - #### setAuthor

          public void setAuthor​(int author)

      Specified by:
        `setAuthor` in interface `ScheduleEventBean`

    - #### getDates

          public Set<DateOption> getDates()

      Specified by:
        `getDates` in interface `ScheduleEventBean`

    - #### getContributors

          public Set<Contributor> getContributors()

      Specified by:
        `getContributors` in interface `ScheduleEventBean`

    - #### getSubscribersCount

          public Integer getSubscribersCount()

    - #### getResponses

          public Set<Response> getResponses()

      Specified by:
        `getResponses` in interface `ScheduleEventBean`

    - #### getStatus

          public int getStatus()

      Specified by:
        `getStatus` in interface `ScheduleEventBean`

    - #### setStatus

          public void setStatus​(int status)

      Specified by:
        `setStatus` in interface `ScheduleEventBean`

    - #### getOptionalDateIndexes

          public Set<OptionDateVO> getOptionalDateIndexes()
                                                   throws Exception

      Throws:
        `Exception`

    - #### setScheduleEventWith

          public void setScheduleEventWith​(Set<OptionDateVO> optionalDates)

    - #### deleteDate

          public void deleteDate​(String dateIndexFormat)
                          throws Exception

      Throws:
        `Exception`